予約削除
DELETE
/reservations/{reservation_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/reservations/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/reservations/example \ --header 'Authorization: Bearer <token>'予約を削除します。
外部システム連携機能で取り込んだ予約情報は削除できません。
対象プラン
- フードビジネスプラン
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”reservation_id
required
string
予約ID
Responses
Section titled “Responses”No Content
削除成功
Bad Request
- 休止中の店舗の予約が指定された場合
Media typeapplication/json
object
title
required
string
type
required
string
status
integer
detail
string
Examplegenerated
{ "title": "example", "type": "example", "status": 1, "detail": "example"}Forbidden
- 対象契約のプランで利用できない場合
Media typeapplication/json
object
title
required
string
type
required
string
status
integer
detail
string
Examplegenerated
{ "title": "example", "type": "example", "status": 1, "detail": "example"}Not Found
- 指定したデータが存在しない場合
Media typeapplication/json
object
title
required
string
type
required
string
status
integer
detail
string
Examplegenerated
{ "title": "example", "type": "example", "status": 1, "detail": "example"}Method Not Allowed
- 外部システム連携機能で取り込んだ予約情報の場合
- 指定の予約がテーブル利用に紐づいている場合
Media typeapplication/json
object
title
required
string
type
required
string
status
integer
detail
string
Examplegenerated
{ "title": "example", "type": "example", "status": 1, "detail": "example"}